WordPress: Jetpack Vulnerability and Recurring Payments Button with Stripe

IBL News | New York

Over five million admins and owners of WordPress websites with the Jetpack plugin installed are urged to apply a critical security update.

The Jetpack 7.9.1 release will prevent potential attacks that could abuse a vulnerability that has existed since Jetpack 5.1 (July 2017), advised Automattic, the company behind WordPress.

The vulnerability was found in the way Jetpack processed embed code.

The security issue damaged the reputation of Jetpack, given that this plugin is widely used since it provides security, performance, and site management features including site backups, secure logins, malware scanning, and brute-force attack protection.

[ Update to the 7.9.1 version through the WordPress dashboard, or manually download the Jetpack 7.9.1 release. ]

 

Recurring Payments Feature with Stripe

On the other hand, Automattic announced it partnered with Stripe, who will offer a recurring or tiered payment button on WordPress websites without the need to install an entire e-commerce package.

Automattic said that it wants to lend a hand to millions of bloggers who might not be able to sustain their creative work on ad revenue from Google AdSense, Media.net and others.

With this regularly-scheduled payments feature, it should be easier to charge for newsletters and memberships, sell subscriptions and access to exclusive instructional content or accept monthly donations.

Stripe and WordPress will collect around a 3% fee on the payments.

[ Installation: Go to the “Earn” page on WordPress.com once a Stripe account is set up. More ]

 

Previous ArticleNext Article
+